import Vue from 'vue'
import Router from 'vue-router'

import PageHome from '../templates/pages/PageHome'
import PageLinkPairing from '../templates/pages/PageLinkPairing'
import PageFirmwareUpdate from '../templates/pages/link/firmware-update/FirmwareUpdateDevice'
import PageLink from '../templates/pages/PageLink'
import PageError from '../templates/pages/PageError'
import PageNotFound from '../templates/pages/PageNotFound'

Vue.use(Router)

const router = new Router({
  mode: 'history',
  routes: [
    { name: 'home', path: '/', component: PageHome },
    { name: 'link-pairing', path: '/link', component: PageLinkPairing },
    { name: 'firmware-update', path: '/firmware-update', component: PageFirmwareUpdate },
    { name: 'link', path: '/link/:id', component: PageLink },
    { name: 'error', path: '/error', component: PageError },
    { name: '404', path: '*', component: PageNotFound }
  ],
  scrollBehavior (to, from, savedPosition) {
    return { x: 0, y: 0 }
  }
})

export default router
