const packageJSON = require('../../../package.json')

const settings = {
  namespaced: true,
  state: () => ({
    ipAddress: null,
    sdkVersion: null,
    appVersion: packageJSON.version,
    unit: 'cm'
  }),
  getters: {
    ipAddress: state => state.ipAddress,
    sdkVersion: state => state.sdkVersion,
    appVersion: state => state.appVersion,
    unit: state => state.unit
  },
  actions: {
    setIpAddress: ({ commit }, data) => commit('SET_IP_ADDRESS', data),
    setSdkVersion: ({ commit }, data) => commit('SET_SDK_VERSION', data),
    setAppVersion: ({ commit }, data) => commit('SET_APP_VERSION', data),
    setUnit: ({ commit }, data) => commit('SET_UNIT', data)
  },
  mutations: {
    SET_IP_ADDRESS (state, data) {
      state.ipAddress = data
    },
    SET_SDK_VERSION (state, data) {
      state.sdkVersion = data
    },
    SET_APP_VERSION (state, data) {
      state.appVersion = data
    },
    SET_UNIT (state, data) {
      state.unit = data
    }
  }
}

export default settings
